SXADM-NODE(8)

NAME
sxadm-node - create a node and manage a local storage

SYNOPSIS
sxadm node [OPTIONS]... <MODE> <STORAGE_PATH>

DESCRIPTION
sxadm node can be used to create a new node and its storage and manage existing ones. All operations are performed locally and only on one node.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

  Operation modes:

-N, --new
    Create a new SX node in STORAGE_PATH. Once a node is created and sx.fcgi is configured and running, it should be joined to a cluster with sxadm cluster.

-I, --info
    Print details about the node and the storage in STORAGE_PATH. This includes information such as the current disk usage, protocol settings and the list of nodes in the cluster, which the node discovered while being part of the cluster. The current node is marked with an asterisk on the list.

-C, --check
    Perform sanity check on the local storage in STORAGE_PATH. In order to run the check the node needs to be offline or the cluster must be set read-only with sxadm cluster.

-E, --extract=DESTDIR
    Extract all files from the local storage in STORAGE_PATH to DESTDIR. This option doesn't communicate with other nodes and in most cases it will only be possible to extract data from volumes with replica 2 and higher.

--rename-cluster=NEWNAME
    Set a new name for an SX cluster. This option is useful when a new certificate is deployed on all nodes and the cluster must match the name it was issued for. The operation should be performed on all nodes.

--upgrade
    Upgrade the node's database and storage format to the latest version. sxadm will check if an update is required and perform any needed changes.

  New node options:

-k, --cluster-key=FILE
    This option should be used when creating a new node, which is going to join an existing cluster or when re-creating a cluster, which should use the same configuration as the previous one. It will read the cluster key from a file or stdin if "-" is given. The default is to automatically generate the key, which should be used for the first node in a new cluster. All nodes in the cluster must use the same cluster key.

-u, --cluster-uuid=UUID
    This option should be used when creating a new node, which is going to join an existing cluster or when re-creating a cluster, which should use the same configuration as the previous one. The default is to automatically generate the cluster's UUID, which should be used for the first node in a new cluster. All nodes in the cluster must use the same cluster UUID.

-b, --batch-mode
    This option turns off interactive confirmations and assumes "yes" for all questions.

--owner=user[:group]
    Set ownership to user[:group] when creating the local storage structure on disk.

  Common options:

-H, --human-readable
    Print human readable sizes (default=off)

-D, --debug
    Enable debug messages (default=off)

FURTHER DOCUMENTATION
Full documentation with additional examples available at: <http://www.skylable.com/docs/>

SEE ALSO
sxadm(8), sxadm-cluster(8), sx.fcgi(8)